Subject: Re: bug#12413: 24.2.50; M-j should be bound to default-indent-new-line

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 27 Jun 2019 16:58:10 +0200

Dmitry Gutov <[email-masked]> writes:

> A major mode can change the value of comment-line-break-function, but
> currently it's only used from `do-auto-fill'. I think that doesn't make
> sense, the value should affect the M-j command, too.
>
> default-indent-new-line does pretty much that. The function could use a
> better name, though - it isn't used in any variables as default value.

Makes sense to me.  I've now applied the patch to the Emacs trunk.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no